> For the complete documentation index, see [llms.txt](https://docs.scry.finance/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scry.finance/docs/morpheus/contract-use-and-request-feeds/jury-human-defined-questions.md).

# Jury - Human Defined Questions

You can use **Jury** as the endpoint and the question in the path. This will then resolve by the oracle node when they question is answered. Be specific about what you want to know.

```solidity
pragma solidity ^0.8.0;

interface Morpheus {
    function getFeed(
        uint256 feedID
    )
        external
        view
        returns (
            uint256 value,
            uint256 decimals,
            uint256 timestamp,
            string memory valStr
        );

    function requestFeeds(
        string[] calldata APIendpoint,
        string[] calldata APIendpointPath,
        uint256[] calldata decimals,
        uint256[] calldata bounties
    ) external payable returns (uint256[] memory feeds);
}

contract Jury {
    Morpheus public morpheus;
    mapping(uint256=> string ) public ID;
    uint oracleFee = 100000000000000;
    uint nID;
    constructor() {
        morpheus = Morpheus(0x0000000000071821e8033345A7Be174647bE0706);
    }

    function play(string memory question) public{
     require(msg.value>=oracleFee);
     request(question);
    }


    function request(string memory question) internal {
        string[] memory apiEndpoint = new string[](1);
        apiEndpoint[0] = "Jury";
        string[] memory apiEndpointPath = new string[](1);
        apiEndpointPath[0] = question;
        uint256[] memory decimals = new uint256[](1);
        decimals[0] = 0;
        uint256[] memory bounties = new uint256[](1);
        bounties[0] = oracleFee ;
        uint256[] memory feeds = morpheus.requestFeeds{value: oracleFee }(
            apiEndpoint,
            apiEndpointPath,
            decimals,
            bounties
        );
    ID[nID]= feeds[0];
    nID++;
    }

    function myReply() public returns (
            string memory valStr
        ) {
        (, , , string memory Value) = morpheus.getFeed(vrfID);
        require(Value != 0, "Oracle not ready");
     return (valStr);
    }
}

```

**NOT ALL ORACLES WILL SUPPORT THIS. Please check with the oracle first if they run nodes autonomously or are supporting Human Defined Questions.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scry.finance/docs/morpheus/contract-use-and-request-feeds/jury-human-defined-questions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
